/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto.cases;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：业务编号生成表
*
* createdate:  2021-10-18 16:24:45  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务编号生成表")
public class CltBusinessNoQueryDto implements Serializable
{
    /**
     * 编号类型<br>
     */
    @ApiModelProperty("编号类型")
    @NotNull
    private String noType;
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    private String projectId;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @NotNull
    private String tenantId;

    private Long count;

    public Long getCount() {
        return count ==null?1L:count;
    }

    public void setCount(Long count) {
        this.count = count;
    }


    public String getNoType() {
        return noType;
    }

    public void setNoType(String noType) {
        this.noType = noType;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}